Subject: bug#18942: closed (Re: bug#18942: 2.4.3: Unable to build universal on OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Nov 2014 20:24:02 +0000

Your bug report

#18942: 2.4.3: Unable to build universal on OS X

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18942: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18942
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18942: 2.4.3: Unable to build universal on OS X
From: Gary V. Vaughan <[email-masked]>
To: [email-masked]
Date: Tue, 4 Nov 2014 20:23:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Misty,

On Nov 4, 2014, at 4:56 AM, Misty De Meo <[email-masked]> wrote:
> I'm unable to get libtool 2.4.3 to build universally on OS X. It fails while calling lipo while attempting to build libltdl.la.
> 
> It looks like the `find` here is returning no files, which results in lipo being called with an output file but no input files: http://git.savannah.gnu.org/cgit/libtool.git/tree/build-aux/ltmain.in?id=5627a7f498e07a40b970c3a5ab5e74a5053e956f#n3243
> 
> This occurs when attempting to build universal i386/x86_64 for OS X 10.6 through 10.10, so it doesn't seem to be confined to a particular OS verison.
> 
> I've attached verbose build logs (with silent rules disabled); they're also accessible online here: https://gist.github.com/9a4212e9f453dfcc813a

Thanks for the detailed report.  Now fixed in master, so the fix will be in upcoming 2.4.4 (in about a week, depending how quickly the trickle of bug reports against 2.4.3 slow down noticeably).

Patch attached incase you want to upload a patched 2.4.3 to homebrew in the interim.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)

Subject: 2.4.3: Unable to build universal on OS X
From: Misty De Meo <[email-masked]>
To: [email-masked]
Date: Mon, 3 Nov 2014 20:56:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm unable to get libtool 2.4.3 to build universally on OS X. It fails
while calling lipo while attempting to build libltdl.la.

It looks like the `find` here is returning no files, which results in lipo
being called with an output file but no input files:
http://git.savannah.gnu.org/cgit/libtool.git/tree/build-aux/ltmain.in?id=5627a7f498e07a40b970c3a5ab5e74a5053e956f#n3243

This occurs when attempting to build universal i386/x86_64 for OS X 10.6
through 10.10, so it doesn't seem to be confined to a particular OS verison.

I've attached verbose build logs (with silent rules disabled); they're also
accessible online here: https://gist.github.com/9a4212e9f453dfcc813a

Best,
Misty De Meo